Skip to main content
POST
/
api
/
v1
/
presence
/
heartbeat
Update Presence Heartbeat
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/presence/heartbeat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "user_email": "<string>",
  "user_name": "<string>",
  "user_avatar": "<string>",
  "agent_id": "<string>",
  "session_id": "<string>",
  "execution_id": "<string>",
  "is_typing": false
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/presence/heartbeat"

payload = {
"user_id": "<string>",
"user_email": "<string>",
"user_name": "<string>",
"user_avatar": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"execution_id": "<string>",
"is_typing": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
user_email: '<string>',
user_name: '<string>',
user_avatar: '<string>',
agent_id: '<string>',
session_id: '<string>',
execution_id: '<string>',
is_typing: false
})
};

fetch('https://control-plane.kubiya.ai/api/v1/presence/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Body

application/json
user_id
string
required
user_email
string | null
user_name
string | null
user_avatar
string | null
agent_id
string | null
session_id
string | null
execution_id
string | null
is_typing
boolean
default:false

Response

Successful Response